/* ********** Reset ********** */

html {
  box-sizing: border-box; /* Las medidas son tomadas desde el borde de la caja, no del contenido */
}

*,
*::after,
*::before {
  box-sizing: inherit;
}

html,
body {
  height: 100%;
  margin: 0;
  padding: 0;
  font-size: 16px;
}

h1 {
  margin: 0;
}

/* ********** Pagina ********** */

body {
  overflow-x: hidden;
  background-image: url("assets/fondo.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
  font-family: "Courier New", courier, sans-serif;
  font-weight: bold;
  padding: 2rem;
  display: flex;
  flex-direction: column;
}

.container {
  max-width: 700px;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
  flex: 1;
}

.header {
  margin-top: 2rem;
}

.header > * {
  margin-bottom: 20px;
  text-align: center;
}

.ip-address {
  font-size: 2rem;
  color: red;
}

.form label {
  color: white;
  font-size: x-large;
  display: block;
  margin: 10px 0 5px;
}

.estadoCliente {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.form span {
  display: block;
  text-align: right;
}

.form input {
  width: 100%;
  padding: 8px;
  margin-bottom: 15px;
}

.buttons {
  display: flex;
  justify-content: center;
  gap: 1rem;
  padding-top: 1rem;
}

button {
  padding: 10px 15px;
  cursor: pointer;
  width: 200px;
  font-family: inherit;
  font-weight: bold;
}

input,
button {
  border-radius: 0.5rem;
  border-width: 1px;
  border-color: black;
}

/* ********** reCAPTCHA ********** */

.grecaptcha-badge {
  visibility: hidden !important;
}

/* ********** Footer ********** */

.footer {
  font-size: clamp(0.25rem, 5vw, 1rem);
  text-align: center;
  font-family: sans-serif;
  color: #fff;
}

.footer a {
  text-decoration: none;
}

.footer a:visited {
  color: inherit;
}
